Subject: bug#435: [vlc] Unable to build the vlc package as it requires libsystemd-dev

From: Mark Hindley <[email-masked]>
Date: Tue, 28 Jan 2025 16:58:42 +0000

On Tue, Jan 28, 2025 at 04:25:54PM +0000, Andrew Bower wrote:
> Hi Mark,
> 
> On Thu, Apr 30, 2020 at 01:59:58PM +0100, Mark Hindley wrote:
> > That is currently the case for libsystemd0/libelogind0 only at runtime. Doing
> > libelogind-dev provides libsystemd-dev concerns me as I think we might introduce
> > FTBFS until we know that all source packages will build with either. Given the
> > number of source packages in Debian, that is a lot of testing. Hence why we
> > currently follow Debian and only build against libsystemd-dev.
> 
> What's the difference with Debian that means I don't have this problem
> there? I.e., I can merrily install libsystemd-dev without losing my
> desktop integration.

Because on Devuan I presume you have libelogind0 and libelogind-compat
installed. libelogind0 conflicts with libsystemd0 and therefore
libsystemd-dev. To build vlc on Devuan you have to use libelogind-dev.

On (recent) Debian, elogind uses libsystemd0-compatible cgroups, libelogind0
only exists as a transitional package to pull in libsystemd0 and you can happily
install libsystemd-dev.

To build on Devuan without hosing your desktop integration, use a
pbuilder/cowbuilder/sbuild/whatever build chroot. It is better practice to build
that way anyhow. Within the chroot, you will be able to install libsystemd-dev
and the build will be fine.

HTH

Mark